# $Revision: 1.117.2.8 $, $Date: 2004/01/16 23:18:14 $
# $Id: rc-scripts.spec,v 1.117.2.8 2004/01/16 23:18:14 arekm Exp $
#
# _with_chroot		make the thing chroot-safe (CAN BRAKE SOMETHING!!!)

Summary:	inittab and /etc/rc.d scripts
Summary(de):	inittab und /etc/rc.d Scripts
Summary(fr):	inittab et scripts /etc/rc.d
Summary(pl):	inittab i skrypty startowe z katalogu /etc/rc.d
Summary(tr):	inittab ve /etc/rc.d dosyalar
Name:		rc-scripts
Version:	0.3.1
Release:	17
License:	GPL
Vendor:		PLD rc-scripts Team <pld-rc-scripts@pld-linux.org>
Group:		Base
Source0:	%{name}-%{version}.tar.gz
# Source0-md5: c032946a4ea2c81b92c70b26f65b18d9
Patch0:		%{name}-shared.patch
Patch1:		%{name}-ipx_fix.patch
Patch2:		%{name}-ulimitc.patch
Patch3:		%{name}-killgnu.patch
Patch4:		%{name}-wlan.patch
Patch5:		%{name}-arp-any.patch
Patch6:		%{name}-pppshutdownsleep.patch
Patch7:		%{name}-chat-ppp0.tpsa.patch
Patch8:		%{name}-via.patch
Patch9:		%{name}-static-nat.patch
Patch10:	%{name}-chroot_safe.patch
Patch11:	%{name}-onlink.patch
Patch12:	%{name}-pl.po_typo.patch
Patch13:	%{name}-reboot.patch
Patch14:	%{name}-pl.po_duplicate.patch
Patch15:	%{name}-dm.patch
#Patch15:	%{name}-timezone-posix.patch
Patch16:	%{name}-ups.patch
Patch17:	%{name}-run-parts.patch
Patch18:	%{name}-madam.patch
URL:		http://svn.pld-linux.org/cgi-bin/viewsvn/rc-scripts/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib-devel
%{!?_without_static:BuildRequires:	glib-static}
BuildRequires:	popt-devel
Requires:	/bin/awk
Requires:	/bin/basename
Requires:	/bin/gettext
Requires:	/bin/nice
Requires:	/bin/ps
Requires:	FHS >= 2.2-6
Requires:	SysVinit
Requires:	bdflush
Requires:	e2fsprogs >= 1.15
Requires:	fileutils
Requires:	findutils
Requires:	gettext
Requires:	grep
Requires:	iproute2
Requires:	mingetty
Requires:	mktemp
Requires:	modutils >= 2.1.121
Requires:	mount >= 2.10
Requires:	net-tools
Requires:	procps
Requires:	sh-utils
Requires:	textutils
Requires:	utempter
Requires:	util-linux
Obsoletes:	initscripts
Provides:	initscripts
Requires(post):	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	LPRng < 3.8.0-2

%define		_prefix		/usr
%define		_exec_prefix	/
%define		_sysconfdir	/etc
%define		localedir	/etc/sysconfig/locale

%description
This package contains the scripts use to boot a system, change run
levels, and shut the system down cleanly.

%description -l de
Dieses Paket enthlt die Scripts, die zum Hochfahren des Systems,
ndern der Betriebsebene und sauberem Herunterfahren des Systems
erforderlich sind. Auerdem enthlt es die Scripts, die
Netzwerkschnittstellen aktivieren und deaktivieren.

%description -l fr
Ce package contient les scripts utiliss pour dmarrer le systme,
changer les niveaux d'excution, et arrter le systme proprement. Il
contient aussi les scripts qui activent et dsactivent la plupart des
inetrfaces rseau.

%description -l pl
Pakiet zawiera skrypty uruchamiane przy starcie i zamykaniu systemu, a
take przy zmianie jego poziomu pracy.

%description -l tr
Bu paket, sistem amak, alma dzeylerini deitirmek ve sistemi
dzgn bir ekilde kapatmak iin gereken dosyalar ierir. Ayrca pek
ok bilgisayar a arayzlerini etkinletiren ya da edilginletiren
programcklar ierir.

%prep
%setup -q
%{!?_without_static:#}%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p1
%patch9 -p1
%{!?_with_chroot:#}%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-localedir=%{localedir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/{run/netreport,log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for i in 0 1 2 3 4 5 6; do
	install -d $RPM_BUILD_ROOT/etc/rc.d/rc$i.d
done

for i in 2 3 4 5; do
	ln -s ../rc.local $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99local
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S10network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99allowlogin
	ln -s ../init.d/timezone $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S10timezone
done

for i in 1 2 3 4 5; do
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S00killall
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S20random
done

for i in 0 2 3 4 5 6; do
	ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K00single
done

ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S00single

for i in 0 6; do
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90killall
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K80random
done

for i in 0 1 6; do
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01allowlogin
done

install sysconfig/interfaces/ifcfg-eth0 $RPM_BUILD_ROOT/etc/sysconfig/interfaces
> $RPM_BUILD_ROOT/var/log/dmesg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/inittab.rpmsave ]; then
	echo "**** Found old /etc/inittab.rpmsave ****"
	echo "/etc/inittab renamed to /etc/inittab.rpmnew"
	mv -f /etc/inittab /etc/inittab.rpmnew
	echo "/etc/inittab.rpmsave renamed to /etc/inittab."
	mv -f /etc/inittab.rpmsave /etc/inittab
fi
touch /var/log/dmesg
chmod 000 /var/log/dmesg
chown root.root /var/log/dmesg
chmod 640 /var/log/dmesg

# move network interfaces description files to new location
%triggerpostun -- initscripts
mv /etc/sysconfig/network-scripts/ifcfg-* /etc/sysconfig/interfaces/

%files
%defattr(644,root,root,755)
%doc doc/*.txt rc.d/init.d/template.init
%doc sysconfig/interfaces/data/chat-ppp*
%doc sysconfig/interfaces/ifc*
%doc sysconfig/interfaces/tnl*

%attr(755,root,root) %dir /etc/rc.d
%attr(755,root,root) %dir /etc/rc.d/init.d
%attr(755,root,root) %dir /etc/rc.d/rc?.d

/etc/rc.d/init.d/functions
%attr(754,root,root) /etc/rc.d/init.d/allowlogin
%attr(754,root,root) /etc/rc.d/init.d/killall
%attr(754,root,root) /etc/rc.d/init.d/network
%attr(754,root,root) /etc/rc.d/init.d/random
%attr(754,root,root) /etc/rc.d/init.d/single
%attr(754,root,root) /etc/rc.d/init.d/timezone

%attr(754,root,root) /etc/rc.d/rc
%attr(754,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/rc.d/rc.local
%attr(754,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/rc.d/rc.modules
%attr(754,root,root) /etc/rc.d/rc.sysinit
%attr(754,root,root) /etc/rc.d/rc.shutdown
%attr(754,root,root) /etc/rc.d/rc?.d/S??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/S??killall
%attr(754,root,root) /etc/rc.d/rc?.d/S??local
%attr(754,root,root) /etc/rc.d/rc?.d/S??network
%attr(754,root,root) /etc/rc.d/rc?.d/S??random
%attr(754,root,root) /etc/rc.d/rc?.d/S??single
%attr(754,root,root) /etc/rc.d/rc?.d/S??timezone
%attr(754,root,root) /etc/rc.d/rc?.d/K??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/K??killall
%attr(754,root,root) /etc/rc.d/rc?.d/K??network
%attr(754,root,root) /etc/rc.d/rc?.d/K??random
%attr(754,root,root) /etc/rc.d/rc?.d/K??single

%attr(755,root,root) /etc/profile.d/lang.*sh

%attr(755,root,root) %{_bindir}/doexec
%attr(755,root,root) %{_bindir}/ipcalc
%attr(755,root,root) %{_bindir}/resolvesymlink
%attr(755,root,root) %{_bindir}/run-parts
%attr(755,root,root) %{_bindir}/usleep

%attr(755,root,root) %{_sbindir}/consoletype
%attr(755,root,root) %{_sbindir}/initlog
%attr(755,root,root) %{_sbindir}/loglevel
%attr(755,root,root) %{_sbindir}/ppp-watch
%attr(755,root,root) %{_sbindir}/netreport
%attr(755,root,root) %{_sbindir}/setsysfont
%attr(4755,root,root) %{_sbindir}/usernetctl

%attr(755,root,root) %{_sbindir}/if*
%attr(755,root,root) %{_sbindir}/tnl*

%attr(755,root,root) %{_sbindir}/getkey

%attr(755,root,root) %dir %{_sysconfdir}/ppp
%attr(754,root,root) %{_sysconfdir}/ppp/*
%attr(755,root,root) %dir /etc/sysconfig
%attr(755,root,root) %dir /etc/sysconfig/interfaces
%attr(755,root,root) %dir /etc/sysconfig/interfaces/data
%attr(755,root,root) %dir /etc/sysconfig/network-scripts
%attr(755,root,root) /etc/sysconfig/network-scripts/if*
/etc/sysconfig/network-scripts/.functions
%dir /etc/sysconfig/interfaces/down.d
%dir /etc/sysconfig/interfaces/down.d/*
%dir /etc/sysconfig/interfaces/up.d
%dir /etc/sysconfig/interfaces/up.d/*
%attr(755,root,root) /etc/sysconfig/interfaces/down.d/ppp/logger
%attr(755,root,root) /etc/sysconfig/interfaces/up.d/ppp/logger
%attr(640,root,root) %ghost /var/log/dmesg
%attr(750,root,root) %dir /var/run/netreport

%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/adjtime
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/inittab
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/modules
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/initlog.conf
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysctl.conf
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/clock
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/i18n
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/network
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/static-nat
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/static-routes
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/timezone
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/interfaces/ifcfg-eth0
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/system

%{_mandir}/man1/*

%dir %{localedir}
#%lang(de) %{localedir}/de
%lang(pl) %{localedir}/pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-scripts.spec,v $
Revision 1.117.2.8  2004/01/16 23:18:14  arekm
- rel 17 (also try to run array using mdadm)

Revision 1.117.2.7  2003/12/21 21:07:32  adamg
- killed pld.org.pl
- fixed URL

Revision 1.117.2.6  2003/12/21 18:24:39  arekm
- use run-parts from trunk version of rc-scripts (much better); rel 16

Revision 1.117.2.5  2003/12/10 20:51:37  ankry
- rel. 15

Revision 1.117.2.4  2003/11/14 09:17:59  jajcus
- UPS support added

Revision 1.117.2.3  2003/10/16 21:02:01  arekm
- device mapper support from trunk

Revision 1.117.2.2  2003/07/14 22:47:04  adamg
- trying to fix what I broke...

Revision 1.117.2.1  2003/07/14 22:29:21  adamg
- hopefully adapterized for RA

Revision 1.117  2003/06/17 13:58:08  qboosh
- added timezone-posix patch (needed for current glibc packages)
- release 13

Revision 1.116  2003/06/16 20:22:07  blues
- requires proper version of FHS (will be needed in future with rc-scripts
  from cvs - added when I remeber that...)

Revision 1.115  2003/06/13 14:30:58  mmazur
- and btw: rel 12.2

Revision 1.114  2003/06/13 14:29:43  mmazur
- this is going to be Ac so chroot patch goes by default
- if somebody could tell me... what's with the brand new rc-scripts (directly
  from the repo not from SOURCES)

Revision 1.113  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.112  2003/05/25 06:26:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.111  2003/01/12 13:30:42  radek
- patch14: fix for duplicate entry in po/pl.po

Revision 1.110  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.109  2002/12/07 14:33:52  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.108  2002/12/01 21:36:27  alchemyx
- rc-scripts-reboot.patch added - it will reboot system if it is instructed
  by fsck to do so; translations were not updated for this ocassion so if
  anybody wants to do so - you are welcome

Revision 1.107  2002/11/28 15:16:06  areq
- remove PLD_aint_GNU.patch

Revision 1.106  2002/11/27 16:01:15  gotar
- typo (patch12),
- philosophy (patch13),
- release 12.

Revision 1.105  2002/11/08 23:25:40  alchemyx
- added patch that reverses entries in /etc/sysconfig/static-nat
- merged rc-scripts-static-nat-example.patch into rc-scripts-static-nat.patch
- added rc-scripts-onlink.patch that lets you add default gateway which can
  be outside of subnet defined in interface primary ip address (pretty useful
  for proxy arp in pppd)
- relase 11, STBR

Revision 1.104  2002/11/04 20:53:52  mmazur
- added _with_chroot bcond for ppl who need the chroot_safe patch

Revision 1.103  2002/10/30 17:42:31  kloczek
- release 10,
- fix bug on setup ipv6 interface (via patch which removed unneccasary "via"
  in ip command parameters,
- added static-nat-example patch witih commented example in /etc/sysconfig/static-nat.

Revision 1.102  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.101  2002/09/15 11:15:35  areq
- add chat-ppp0.tpsa.patch, Update for current TPSA login screen
- Release 9, STBR

Revision 1.100  2002/08/23 16:17:03  qboosh
- pppshutdownsleep patch - configurable sleep on ppp shutdown
  (with some providers ppp requires more than 2 seconds to shutdown)
- release 8

Revision 1.99  2002/08/20 12:19:30  pawelk
- added suid for /sbin/usernetctl

Revision 1.98  2002/08/11 17:08:39  misiek
- static arp per device and any device support (from cvs)

Revision 1.97  2002/08/07 20:48:58  misiek
- wlan support from cvs

Revision 1.96  2002/07/30 14:06:10  qboosh
- more "PLD GNU", release 5

Revision 1.95  2002/07/25 15:57:36  blues
- release 4
- kill all PLD GNU/Linux entries
STBR

Revision 1.94  2002/06/26 10:12:45  qboosh
- added ulimitc patch to allow using ulimit -c other than hard -c0
  (for sshd with privsep or for debugging purposes)
- release 3

Revision 1.93  2002/05/25 10:47:20  kloczek
- relelase 2: use new %doc infrastructure.

Revision 1.92  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.91  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.90  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.89  2002/02/12 15:21:16  blues
- added ipx_fix patch
- adapterized

Revision 1.88  2002/01/27 04:05:16  baggins
- release 0.3.1
- bugfix release, read ChangeLog in sources for details

Revision 1.87  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.86  2001/12/16 18:34:54  qrczak
- rc-scripts-interfaces.patch: ifcfg-* are in /etc/sysconfig/interfaces,
  not /etc/sysconfig/network-scripts. And ifup and ifdown are not there
  but in /sbin.
- Release 6.

Revision 1.85  2001/12/14 19:42:13  qboosh
- Conflicts: LPRng < 3.8.0-2 (lpd won't work because of ulimit -p unlimited)
- release 5

Revision 1.84  2001/12/13 03:15:58  gotar
- removed upgrade race condition in %post,
- release 4.

Revision 1.83  2001/12/10 22:31:18  kloczek
- mark /var/log/dmesg as %ghost,
- touch and chmod 640 /var/log/dmesg in %post,
- added for above "Requires(post): fileutils".

Revision 1.82  2001/12/10 21:07:51  qrczak
- Fix packaging /var/log/dmesg
- Release 3

Revision 1.81  2001/11/30 20:35:35  gotar
- fixed broken logs.

Revision 1.80  2001/11/30 20:23:11  gotar
- added /var/log/dmesg log,
- release 2.

Revision 1.79  2001/11/06 00:26:09  kloczek
- release 1: few final small cleanups.

Revision 1.78  2001/11/05 12:54:50  gotar
- undo (there are only ip-{up,down})

Revision 1.77  2001/11/04 21:32:22  gotar
- added %config and %verify flags for %{_sysconfdir}/ppp/*

Revision 1.76  2001/10/11 19:00:28  baggins
- removed obsoleted typo patch

Revision 1.75  2001/10/11 18:54:54  baggins
- bugfix release 0.9
- let kernel maintain if ARP should be turned on/off
  if not explicitly specified (baggins)
- fixed regexp in DEVICETYPE detection (baggins)
- HANDLING cannot be 'typeset' it's mot local (qboosh)
- typo in ifup-ppp (qboosh)
- fix for modular LVM (baggins)
- comment out all IPv6 stuff by default in sysctl.conf (baggins)
- proper (shell dependant) ulimit use (baggins)

Revision 1.74  2001/10/10 12:36:46  qboosh
- Group translations, BuildRequires: autoconf,automake

Revision 1.73  2001/10/02 20:15:07  baggins
- first try for brand new 0.3.0
- release 0.8

Revision 1.72  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.71  2001/07/19 21:13:15  klakier
- install example ifcfg-eth0 (need dist!)

Revision 1.70  2001/07/15 07:54:23  gotar
- cosmetics.

Revision 1.69  2001/06/04 23:04:14  klakier
- requires util-linux

Revision 1.68  2001/05/23 12:54:15  kloczek
- release 2: fixed trigger script.

Revision 1.67  2001/05/22 09:06:51  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.66  2001/05/13 22:07:18  kloczek
- uncomment /etc/sysconfig/clock %config file,
- added %triggerpostun -- initscripts script with move interfaces
  description files from /etc/sysconfig/network-scripts to /etc/sysconfig/interfaces,
New version 0.2.11 summary changes information:
- added /etc/sysconfig/network::STATIC_RARP={yes,no} for load rarp kernel
  module and setup using /etc/ethers static RAPR table (me) - neccessary for
  prepare host as RARP/tftp boot server (for example for Sun station),
- prepare all scripts for using /bin/sh as true ksh (baggins),
- prepare rc-scripts for fsck'ing crypted file systems (zagrodzki),
- more pl translations (zagrodzki),
- fix in /etc/sysconfig/network-scripts/ifup: don't use quotation in DHCPOPTIONS
  (misiek),
- fix in /etc/sysconfig/network-scripts/ifup-ppp: check if DATAFORCHAT is not null
  before exporting it (qboosh),
- in /etc/rc.d/init.d/timezone typing error fixed (laro),
- /etc/rc.d/rc.sysinit fix: pass --localtime option to hwclock (malekith),
- /etc/sysconfig/network-scripts/ifup-plip fix: bring link up at startup (baggins),
- example %doc file fixed: small fix: atdt $PHONE -> atdt$PHONE (roman),
- /etc/rc.d/init.d/network fix: exclude nas* interfaces on boot, they need to
  be started by ATM utils (baggins),
- status() improved so it can accept now two argumens: the subsys name and
  (optional) the daemon name. status() checks if daemon is running or the subsys
  is locked. This way subsys name can differ from daemon name it is running (jajcus).

Revision 1.65  2001/03/30 11:14:43  inglod
add Requires: findutils

Revision 1.64  2001/03/10 13:24:50  malekith
added aclocal,automake -a -c for new automake.

Revision 1.63  2001/02/23 20:52:49  aflinta
small typo patch in po.pl file

Revision 1.62  2001/02/16 17:21:19  qboosh
- added dirs: /etc/rc.d/init.d, /etc/sysconfig/locale{,/*}
- added de locales
- added /etc/sysconfig/interfaces/{up.d,down.d} trees
- release 2

Revision 1.61  2000/12/28 15:18:30  baggins
- added shared patch
- allow for non-static build (define _without_static for it)

Revision 1.60  2000/12/14 09:33:17  jajcus
- /etc/sysconfig/clock added

Revision 1.59  2000/12/12 17:53:09  kloczek
new version 0.2.10:
- fixed problem with not runing depmod when RUN_DEPMOD="ifmissing" (mkochano).

Revision 1.58  2000/12/06 23:10:58  dobrek
- added Req: gettext

Revision 1.57  2000/11/17 15:47:58  baggins
- release 0.2.9
- removed sed requirement
- information about specifing prefix for so called ,,aliases'' (misiek)
- replace "$((" by "$( (" to w use bash as /bin/sh. (kloczek)
- replaced sed with awk (backport from TOTALNEW branch) (baggins/misiek)
- set/unset more (all?) locale variables (backport from TOTALNEW) (baggins/misiek)
- backport from TOTALNEW: (baggins/misiek)
- cleaned up shell functions (baggins/misiek)
- fixed is_yes/is_no (baggins/misiek)
- added is_module, log_* functions (baggins/misiek)

Revision 1.56  2000/11/16 14:48:31  baggins
- requires grep

Revision 1.55  2000/11/06 19:38:58  baggins
- release 0.2.8
- `ip -4 addr add` first, `ip link set dev up` next - atm needs it (baggins)
- use awk instead of sed in interface selection (baggins)
- skip lec and atm interfaces on start|stop, they are set using
  separate script (baggins)
- added global ipv6 autoconf setting in proc_net() (baggins)
- set HOME and TMPDIR in nicer way (backport from totalnew) (misiek)
- Remove "HOME" from environment. (mkochano)
- Set TMPDIR and TEMP to "/tmp". Some programs (Samba, cvs) will fail
  beacuse of lack of access permissions to "/root/tmp" or lack of this
  directory if these variables are inherited from root's environment. (mkochano)
- bugfix: avoid loops when a user calls ifup and usernetctl isn't suid (saq)

Revision 1.54  2000/10/04 01:13:54  kloczek
- release 2: use rpm new automation suit.

Revision 1.53  2000/09/25 13:46:34  saq
version 0.2.7:
- de translation (saq),
- fixed DEVICETYPE determination for aliased devices (saq),
- added IPV6_AUTOCONF variable to interface configuration
  set it to "no" if you don't want kernel to autoconfigure IPv6
  address on interfaces (prefix:MAC stuff) (baggins).

Revision 1.52  2000/08/28 15:49:50  zagrodzki
- updated to 0.2.6
- added -o gid=17 while mounting proc (marcus)
- added setting up global route for IPv6 routers (baggins)
- added missing termput op declaration (/me)
- removed all xargs calls (/me)

Revision 1.51  2000/08/28 14:14:44  zagrodzki
- requires: /usr/bin/xargs

Revision 1.50  2000/08/25 00:14:17  mis
- added missing /etc/rc.d dir

Revision 1.49  2000/08/08 18:04:50  kloczek
- adapterized.

Revision 1.48  2000/08/07 12:12:31  zagrodzki
- release 2
- added missing %{_bindir}/run-parts in %files

Revision 1.47  2000/07/31 07:38:25  kloczek
new version 0.2.5:
- added _modprob() function for loading kernel modules (baggins),
- fix: added missing include /etc/rc.d/init.d/functions in tnldown, tnlup
  scripts (zagrodzki),
- redirect some not importand error messages to /dev/null in
  functions.network (zagrodzki)
- fixes for handling IPX interfaces: fixed IPXFRAMETYPE (mis).

Revision 1.46  2000/07/13 17:56:14  zagrodzki
- updated to 0.2.4:
baggins:
	rc.d/rc.sysinit: rm -f utmp? first
	sysconfig/system: added NEED_XFILES=yes
	rc.d/rc.sysinit: typo
	rc.d/rc.sysinit: we _want_ utmpx and wtmpx, not utmp/wtmp
	rc.d/init.d/functions.network: modprobe ipip if IPV6_TUNNELCONFIG == yes
waszi:
	po/pl.po: typo
        lang.sh: cleanups
        rc.d/rc.shutdown, sysconfig/interfaces/ifcfg-description,
	rc.d/rc.sysinit, sysconfig/interfaces/ifcfg-ppp0.tpsa,
	makepot.pl: typos, cleanups
wiget:
	rc.d/rc.shutdown: added shmfs to noprocfs
jajcus:
	rc.d/rc.shutdown: fixed file unmounting again, after kloczek
			  broke it "borrowing" code from RH
zagrodzki:
        sysconfig/interfaces/ifcfg-description: - IPADDR, not ADDR :)

Revision 1.45  2000/06/18 21:39:19  kloczek
new version 0.2.3. Summary changes list:
- new umounting file systems procedure (borowed from RH) (me),
- is_yes and is_no cleanup (waszi),
- moves cursor to a new line also after "WORK" and "FAIL" (mkochano),
- added new function progress(). It shows color messages in square brackets.
  Takes two arguments: text to display and color to use. Second argument is
  optional (default color is green). Outputs "op" as last terminal sequence
  instaed setting arbitrary color (mkochano),
- busy(), ok(), started(), fail() and died() modified to use progress()
  (mkochano),
- fixed setting up USEMODULES variable (baggins),
- replaced halt -d with halt -d -p, halt -p -> halt -w (waszi),
- fixes for beter handling DHCP using dhcpcd (baggins).

Revision 1.44  2000/06/18 07:05:22  cieciwa
- added %clean section.

Revision 1.43  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.42  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.41  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.40  2000/05/31 17:51:10  zagrodzki
new version 0.2.2. Summary changes list:
- sixes for beter initialize sound (mkochano),
- ifup-routes: get REALDEVICE and use it for setting up the routes (jajcus),
- beter handling ppp interfaces (jajcus),
- fixes for IPX interfaces handling (baggins),
- in ifup file added suppoer for Point-to-Point IPv4 Ethernet (REMIP
  variable) (marcus, jajcus),
- added enable mout devfs by MOUNT_DEVFS variable (waszi),
- ifup fixes: missing space added (without this "peer" option was used to
  "ip addr add" even if no "$REMIP" was defined) (jajcus),
- beter colors handling in some messges and fixes for disable colors
  (zagrodzki),
- scripts now ready to exec run-parts for each of interfaces going up/down
  (siefca),
- run-parts is now by rc-scripts provided (as /bin/run-parts) (siefca).
- pump is borken, use dhcpcd for DHCP (baggins),
- changed all "!=no" to "is_yes" or "! is_no" (zagrodzki),
- more fixes for pl translation (wiget),
- time setup changed, so it should work even if /usr is on separate
  partition (jajcus),
- run quotaoff -a before unmounting filesystems (baggins),
- replaced "halt -d" with "halt -d -p" and repalce "halt -p" with "halt -w"
  (waszi).
Detauiled list of changes in ChangeLog file.

Revision 1.39  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.38  2000/04/15 14:10:10  zagrodzki
- requires: net-tools (domainname)

Revision 1.37  2000/04/05 21:44:11  kloczek
- cleaned up ifup/ifdown mess, /sbin/ifup ethX.something works now (baggins)
- IPX fixes, works now (baggins)
- run hdparm from rc.sysinit BEFORE anything is mounted RW (baggins)
- fixed setting VFS_{FILE,INODE}_MAX (baggins)
- updated ifcfg-description (baggins)
- support for maxfail option in pppd (waszi)
- cleanups in tunnel scripts (waszi)
- use new (rh) style for date variables (misiek)
- removed "scripts" method of executing external programs after uping
  or downing device (almost nobody didn't know about it (misiek)
- added new method which is using run_up() and run_down() functions
  defined in device configuration file (ifcfg*) (misiek)
- fixed problem with displaing garbage instead of formated output (misiek)
- removed execution of random start (this should be started in standard
  init.d way) (misiek)
- set ld.so.cache if doesn't exist (misiek)
- /etc/sysconfig/system - changed default RUN_LDCONFIG to "no" (me)
- fixed nfsroot support (waszi)

Revision 1.36  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/30 17:15:13  zagrodzki
- requires: fileutils (chmod, chgrp)

Revision 1.34  2000/03/29 21:55:18  zagrodzki
- %files: %{_sbindir}/getkey

Revision 1.33  2000/03/28 22:11:05  zagrodzki
- requires: utempter (chown root.utmp ...)

Revision 1.32  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.31  2000/03/23 13:52:46  zagrodzki
- Requires: bdflush (/sbin/update)

Revision 1.30  2000/03/22 22:35:14  wiget
sync spec file with rc-scripts module

Revision 1.29  2000/03/22 21:51:06  kloczek
- new version 0.2.0
- added full support for internationalization handling on service scripts
  level (me, wiget and zagrodzki),
- added template.init script do %doc with new template init script for
  service (this script show how to prepare scripts wit full i18n support);
  template.init also is also LSB compliat on error codes level (me, wiget),
- new variables VFS_FILE_MAX nad VFS_INODE_MAX in /etc/sysconfig/system for
  tuning number of inodes and file handles available in the system
  (kravietz),
- added support for interactive starting services like in RH (misiek),
- beter timezone information handling (siefca),
- updated README about routing messages (misiek),
- start some additional scripts after interface is upped or downed
  (/etc/sysconfig/interfaces/scripts/ifname/somename.{up,down} (misiek).

Revision 1.28  2000/03/14 20:56:11  zagrodzki
- Requires: mount >= 2.10 (requires mount with option --force)

Revision 1.27  2000/03/02 17:36:20  wiget
- version 0.1.5
- mount procfs before all (kloczek)
- nls cant handle special characters such as '\n' - workaround this (misiek)
- avoid errors when lo interface is down (misiek)
- new (better) unmounting procedure from initscripts (misiek)
- functions run_cmd() and daemon() are returning proper values now (misiek)
- router discovery daemon support (misiek)
- running depmod is now configurable (misiek)
- print space as last char in prompt (misiek)
- added devfsd support (waszi & wiget)
- fix ummounting (wiget)
- translations for DONE etc are always taken from rc-scripts.mo (misiek)
- set ipv6 forwarding only if ipv6 is enabled (misiek)
- run depmod if modules.dep is older that modules.conf, too (misiek)

Revision 1.26  2000/02/08 20:20:11  baggins
- new (better) unmounting procedure from initscripts
- functions run_cmd() and daemon() are returning proper values now
- router discovery daemon support
- avoid errors when lo interface is down
- nls cant handle special characters such as '\n' - workaround this
- mout procsf before all.
- added RUN_LDCONFIG variable to /etc/sysconfig/system, now it's
  possible to turn off/on ld.so.cache regeneration upon startup
- cleanups
- version 0.1.4

Revision 1.25  1999/12/18 20:04:28  kloczek
- new version 0.1.3,
- added BuildRequires: glib-devel glib-staic,
- allow tab beteen <dev> and <options> in /etc/sysconfig/static-routes (me),
- fixed lang.csh (misiek),
- we use -a instead && (misiek),
- updated few programs in src directory (misiek)
- fixed starting network when none of ifcfg-* file exist (misiek)
- write nice logo at startup (misiek)
- fixed problem with translated deltext() function (misiek),
- added including /etc/rc.d/rc.modules for loading modules before
  starting all services and initializing raid deveces (me),
- process /etc/sysconfig/system - fix BR#110 (wiget),
- minor changes in pl translations,
- place comented LANG=pl_PL as sugested settings dor Polish settings.

Revision 1.24  1999/11/14 08:38:55  kloczek
- new version 0.1.2,
- fixed ifup ($DEVICEFULLNAME and $FULLDEVICENAME replaced by
  $FULLDEVNAME): now configuring net interfaces with using BOOTP/DHCP
  protocols works corectly (me),
- removed more bashiszms (me),
- now realy handle ifup <dev> (wiget),
- fixed nls() function (wiget).

Revision 1.23  1999/11/07 13:51:49  kloczek
- fixed BR#103 (incorrect %defattr directory permission - must be 755).

Revision 1.22  1999/10/27 05:55:23  kloczek
- release 0.1.1,
- added displaing progres bae on checking wrongly unmounted volumes (added
  -C for fsck options),
- fixed displaing messages on initialize raid devices,
- added support ror raidtools 0.90,
- fixed reading proper files with network interfaces descriptions,
- changed /etc/rc.d/init.d//network.functions moved to
  /etc/sysconfig/network-scripts/.functions,
- starting preparing sgml documentation (klakier).

Revision 1.21  1999/10/15 05:01:15  kloczek
- added BuildRequires: gettext-devel.

Revision 1.20  1999/10/13 17:41:42  baggins
- version 0.1.0
- added %config(noreplace) %verify(not size mtime md5) to rc.local
- removed usage of chkconfig, now rc?.d/{S,K} links are in the package
- merged init.d/{halt,reboot,shutdwn} into rc.shutdown
- moved running /sbin/ldconfig to the end of startup procedure
- removed init.d/{nfsfs,netfs}

Revision 1.19  1999/09/28 15:38:54  kloczek
- (bugfix) release 0.0.11,
- fixed message on entering runlevel (s/Leaving/Entering/),
- fixed bug on including network interface config file,
- fixed deinitialization RAID devices (deinitialize only used devices),
- fixed displaying messages on raid initialization,
- removed dummy code with including additional interface description with
  using $PARENTCONFIG.

Revision 1.18  1999/09/27 16:13:08  wiget
- version 0.0.10
- fixed nls() and NLS messages
- more tanslated messages in pl.po
- nopmtudisc isn't specified by default
- we are using ,,onlink'' option for tunnels
- more /proc/sys/net support
- removed unnecesary pid of process checking
- returns ,,died'' instead ,,failed'' in some cases
- flushing instead deleting routing and addresses when down lo interface
- added information about using tnlcfg-xxx instead of ifcfg-xxx
- another support for IPv4 aliases via IPADDR_ALIASES variable
- fix in make symlinks to rc.local
- now is rootfs on NFS compatibl

Revision 1.17 1999/09/17 15:05:12  pius
- added %clean section

Revision 1.16 1999/09/15 21:51:16  wiget
- 0.0.9

Revision 1.15 1999/08/18 14:13:04  kloczek
- added NLS support,
- fixed initializing raid,
- files with description network interfaces must starting from "ifcfg-",
- removed using printf (replaced by awk),
- fiew other small fixes (look at changelog).

Revision 1.14 1999/07/28 00:09:58  kloczek
- added missing %changelog header.

Revision 1.12 1999/07/27 23:59:51  kloczek
- update to 0.0.7 first working release,
- main chanes is configuring network interfaces with using iproute2 tools
  instead net-tools,
- amny other changes and fixes (look at Changelog).

* Thu Apr 29 1999 PLD Team <bugs@pld.org.pl>
  [0.0.5-1]
- automake/autoconf support

* Wed Apr 28 1999 PLD Team <bugs@pld.org.pl>
  [0.0.4-1]
- added ipchains-setup

* Thu Apr 22 1999 PLD Team <bugs@pld.org.pl>
  [0.0.3-1]
- split into two packages: rc-scripts & net-scripts
- directory structure changed - only config in /etc

* Tue Mar 23 1999 PLD Team <bugs@pld.org.pl>
  [0.0.2-1]
- be more verbose while upgrading when /etc/inittab.rpmsave is found,
- added seting NETWORK="no" variable to when /etc/sysconfig/network is not present
  or when NETWORK in this file is not defined.

* Sun Mar 21 1999 PLD Team <bugs@pld.org.pl>
  [0.0.1-1]
- added /etc/sysconfig/system,
- removed man group from man pages,
- added in %post not replacing /etc/inittab on upgrade from initscripts,
- removed %config from scripts.

* Fri Mar 19 1999 PLD Team <bugs@pld.org.pl>
- Modified handling ppp links. Added new features to ifcfg-ppp
  and changed syntax of chat scripts for ppp.
- First Release.
- Package based on RedHat's initscripts-3.78.
